; ****************************************************************************
;       TITLE: HELP5.sc
;     SESSION: PAOLINI - Providing Custom Help in Paradox 4 Apps
;   COPYRIGHT: (c) 1993 - Dan Paolini - DataStar International
; DESCRIPTION: Example of DIALOG BOX-BASED Field-Level Help
; ****************************************************************************

PROC myWaitHandler.n(x,y,z)
   IF y["KeyCode"] = -84 THEN
      IF NOT IsBlank(fieldmsg.y[Table()+"_"+Field()]) THEN
         msContinue!.u("Help for the [" + Field() + "] Field",
                        fieldmsg.y[Table()+"_"+Field()],116,"GRAY",0)
      ELSE
         Message "No field-level help available..."
      ENDIF
      Return 1
   ELSE
      Return 2
   ENDIF
ENDPROC

   Play "DS4_UTIL"
   DynArray fieldmsg.y[]
      fieldmsg.y["D\\Super_SuperId"]      = "What the heck is a Supervisor Group ID?  Well, here, we could say."
      fieldmsg.y["D\\Super_SLastName"]    = ""
      fieldmsg.y["D\\Super_SFirstName"]   = ""
      fieldmsg.y["D\\Super_DeptCode"]     = "Press <F1> for Table Lookup"
      fieldmsg.y["D\\Super_MgrId"]        = "Press <F1> for Table Lookup"
      fieldmsg.y["D\\Super_UnitId"]       = "" ;Press <F1> for Table Lookup"
      fieldmsg.y["D\\Super_SuperCode"]    = ""
      fieldmsg.y["D\\Super_Shift"]        = "Enter 1, 2, or 3"
      fieldmsg.y["D\\Super_SEmplId"]      = ""
      fieldmsg.y["D\\Super_DAEmplid"]     = "Press <F1> for Table Lookup"

   View "D\\Super"
   PickForm "2"
   Window Handle Form To h4
   DynArray y4[]
      y4["Maximized"] = True
      y4["HasFrame"] = False
   Window SetAttributes h4 From y4

   Message ""
   WAIT Table
      Proc "myWaitHandler.n"
         Key "F2", -84
   ENDWAIT




